%define upstream_name    XML-LibXML
%define upstream_version 2.0130

%{?perl_default_filter}
# Useless requires on perl >= 5.008 that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::More|5.008

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 4

Summary:    Perl Binding for libxml2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     XML-LibXML-2.0129-CVE-2017-10672.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::NamespaceSupport) >= 1.70.0
BuildRequires: perl(XML::SAX) >= 0.110.0
BuildRequires: perl(XML::SAX::Base)
BuildRequires: perl(XML::SAX::Exception)
BuildRequires: perl(base)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: pkgconfig(libxml-2.0) >= 2.9.0
BuildRequires: perl-devel
Obsoletes:  perl-XML-LibXML-XPathContext
Obsoletes:  perl-XML-LibXML-Common
Requires:   libxml2 >= 2.9.0
Requires(post):     perl-XML-SAX >= 0.11
Requires(preun):    perl-XML-SAX >= 0.11

%{?perl_default_filter}

%description
This module implements much of the DOM Level 2 API as an
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

# Remove failing test.
rm -f t/48_reader_undef_warning_on_empty_str_rt106830.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%optflags" SKIP_SAX_INSTALL=1
%make_build


%install
rm -rf %buildroot
%make_install

chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/XML/LibXML/LibXML.so

%preun -p %{_bindir}/perl
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p %{_bindir}/perl
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO example
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*

%changelog
* Sat Feb 03 2024 tex - 2.0130-4pclos2024
- rebuild against updates

* Tue Dec 10 2019 tex - 2.0130-3pclos2019
- rebuild against updates

* Sun Nov 19 2017 bb2 <bb2> - 2.0130-2pclos2017
- rebuild against updates

* Fri Oct 20 2017 bb2 <bb2> 2.13.0-1pclos2017
- new version
